### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-list/ecl-list.directive.ts`

### Implements

`DoCheck`

### Metadata

Selector | `[eclDescriptionList]`

### Index

###### Properties

- eclTagComponents

###### Inputs

- isHorizontal
- isTaxonomy

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(differs: IterableDiffers)`

Parameters :

Name | Type | Optional
differs | `IterableDiffers` | No

### Inputs

isHorizontal
Type : `boolean`
Default value : `false`

isTaxonomy
Type : `boolean`
Default value : `false`

### HostBindings

class
Type : `any`

### Properties

eclTagComponents
Type : `QueryList<EclTagComponent>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""